/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Immutable properties of a place 
 */
@ApiModel(description = "Immutable properties of a place ")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class PlaceRoot {
  public static final String SERIALIZED_NAME_ID = "id";
  @SerializedName(SERIALIZED_NAME_ID)
  private String id;

  public static final String SERIALIZED_NAME_LIC = "lic";
  @SerializedName(SERIALIZED_NAME_LIC)
  private String lic;


  public PlaceRoot id(String id) {
    
    this.id = id;
    return this;
  }

   /**
   * Identifier of a resource 
   * @return id
  **/
  @ApiModelProperty(example = "7cee99c287094a94acbdcf29ffff2e85", required = true, value = "Identifier of a resource ")

  public String getId() {
    return id;
  }


  public void setId(String id) {
    this.id = id;
  }


  public PlaceRoot lic(String lic) {
    
    this.lic = lic;
    return this;
  }

   /**
   * Get lic
   * @return lic
  **/
  @ApiModelProperty(example = "CC0-1.0", required = true, value = "")

  public String getLic() {
    return lic;
  }


  public void setLic(String lic) {
    this.lic = lic;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PlaceRoot placeRoot = (PlaceRoot) o;
    return Objects.equals(this.id, placeRoot.id) &&
        Objects.equals(this.lic, placeRoot.lic);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, lic);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PlaceRoot {\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    lic: ").append(toIndentedString(lic)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

